Linux Kernelの脆弱性情報(Important: CVE-2019-3887)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

04/10/2019にLinux Kernelの脆弱性情報(Important: CVE-2019-3887)が公開されていました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

  • CVE-2019-3887

    Important

    • SuSE
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 6.7
      • Vector: CVSS:3.0/AV:L/AC:H/PR:H/UI:N/S:C/C:L/I:L/A:H
    • NVD

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3887
    • DoSの可能性
    • 重要度 - Important
    • 4.16以降のバージョンのLinux Kernelに、KVMハイパーバイザーがネスト(nested=1)の仮想化が有効になっている状態でx2APIC Machine Specific Register(MSR)アクセスを扱う際に問題が見つかりました。この問題により、'virtualize x2APIC mode' が有効になっている場合には、L1ゲストがL2ゲストを通してL0のAPICレジスタ値にアクセスすることが可能です。ゲストはこの脆弱性を利用してホストOSのKernelをクラッシュさせる事によるDoSを引き起こすことが可能です。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

WPA3でのSAE(Dragonfly) Handshakeの脆弱性(Dragonblood) と脆弱性情報(CVE-2019-9494, CVE-2019-9495, CVE-2019-9496, CVE-2019-9497, CVE-2019-9498)

次へ

Apache Tomcat for Windowsの脆弱性情報 ( Important: CVE-2019-0232 )